it-swarm.com.ru

Как я могу установить Apache Ant на Mac OS X?

Я попытался установить Apache Ant на свой Mac и выполнил следующие шаги:

  1. Я загрузил Apache-ant-1.8.1-bin.tar.gz в папку "Загрузки".
  2. Я переместил файл в /usr/local/, используя следующие команды: Sudo sh и mv Apache-ant-1.8.1-bin.tar.gz /usr/local/

Теперь я хочу использовать cd /usr/local/, но он не работает, я получаю сообщение "Нет такого файла или каталога".

Затем я использовал команды cd /usr/ и ls и похоже, что локальная папка там. Если я пытаюсь получить к нему доступ, я получаю ту же ошибку.

Так как я уже использовал Sudo su, почему я не могу получить к нему доступ? Есть идеи?

170
florinmatinca

Ant уже установлен в некоторых старых версиях Mac OS X, поэтому вам следует запустить ant -version, чтобы проверить, установлен ли он, прежде чем пытаться его установить.

Если он еще не установлен, то лучше всего установить Homebrew (brew install ant) или MacPorts (Sudo port install Apache-ant) и использовать эти инструменты для установки Apache Ant.

В качестве альтернативы, хотя я бы настоятельно рекомендовал вместо этого использовать Homebrew или MacPorts, вы можете установить Apache Ant вручную. Для этого вам необходимо:

  1. Распакуйте файл .tar.gz.
  2. При желании положить его куда-нибудь.
  3. Поместите подкаталог "bin" на вашем пути.

Команды, которые вам понадобятся, при условии, что Apache-ant-1.8.1-bin.tar.gz (замените 1.8.1 на текущую версию) все еще находятся в вашем каталоге загрузок, будут следующими (включая пояснительные комментарии):

cd ~/Downloads # Let's get into your downloads folder.
tar -xvzf Apache-ant-1.8.1-bin.tar.gz # Extract the folder
Sudo mkdir -p /usr/local # Ensure that /usr/local exists
Sudo cp -rf Apache-ant-1.8.1-bin /usr/local/Apache-ant # Copy it into /usr/local
# Add the new version of Ant to current terminal session
export PATH=/usr/local/Apache-ant/bin:"$PATH"
# Add the new version of Ant to future terminal sessions
echo 'export PATH=/usr/local/Apache-ant/bin:"$PATH"' >> ~/.profile
# Verify new version of ant
ant -version
337
Michael Aaron Safyan

Для MacOS Maveriks (10.9 и, возможно, более поздних версий) Apache Ant не поставляется в комплекте с операционной системой и поэтому должен быть установлен вручную. Вы можете использовать Brew, чтобы легко установить муравья. Просто выполните следующую команду в окне терминала для установки brew:

Ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

Это загрузка среднего размера, которая заняла у меня 10 минут, чтобы загрузить и установить. Просто следуйте процессу, который включает в себя установку различных компонентов. Если вы уже установили brew, убедитесь, что он обновлен, выполнив:

brew update

После установки вы можете просто набрать:

brew install ant

Ant теперь установлен и доступен через команду "ant" в терминале.

Чтобы проверить установку, просто введите "ant -version" в окне терминала. Вы должны получить следующий вывод:

Apache Ant (TM) версия X.X.X, скомпилированная в ГОД МЕСЯЦА

Источник: Ошибка при выполнении команды 'ant' в Mac OS X 10.9 Mavericks при сборке для Android с PhoneGap/Cordova

Если вы получаете ошибки при установке Brew, попробуйте сначала удалить команду:

rm -rf /usr/local/Cellar /usr/local/.git && brew cleanup

Спасибо OrangeDog и другим пользователям за предоставление дополнительной информации.

177
TheIT

Если у вас установлен MacPorts ( https://www.macports.org/ ), сделайте следующее:

Sudo port install Apache-ant
45
Karl von Moor

Если вы являетесь пользователем homebrew, а не macports, у homebrew есть рецепт муравья.

brew install ant

35
jonfuller

Чтобы запустить Ant на вашем Mac за 5 минут, выполните следующие действия.

Откройте свой терминал.

Выполните эти команды по порядку:

/usr/bin/Ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

brew install ant

Если у вас еще не установлена ​​Java, вы получите следующую ошибку: "Ошибка: неудовлетворенное требование не удалось выполнить эту сборку". Выполните следующую команду: brew cask install Java, чтобы исправить это.

Установка возобновится.

Проверьте свою версию, выполнив эту команду:

ant -version

И ты готов к работе!

4
Akalonda

Единственный способ обновить версию ant на Mac с 1.8.2 до 1.9.1 - это следовать инструкциям здесь

http://wiki.Eclipse.org/Ant/User_Guide

0
Akshay

MacPorts установит для вас ant в MacOSX 10.9. Просто используйте

$ Sudo port install Apache-ant

и он установит.

0
ncmathsadist